server:
  port: 6001
spring:
  application:
    name: atu-engine
  rabbitmq:
    addresses: 158.1.12.238:5672
    virtual-host: cloud
    username: cctp
    password: northking
  jackson:
    serialization:
      write-dates-as-timestamps: true
  jpa:
    show-sql: false
    hibernate:
      ddl-auto: update
    database: h2
  datasource:
    url: jdbc:h2:file:../../dist/.h2/engine
    username: engine
    password: 123456
    driver-class-name: org.h2.Driver
  h2:
    console:
      path: /h2
      enabled: true
      settings:
        trace: false
        web-allow-others: true
  redis:
    host: 158.1.81.42
    port: 6379
    password: root
    database: 1
    lettuce:
      pool:
        max-active: 5
        max-idle: 5
  task:
    scheduling:
      pool:
        size: 3
      thread-name-prefix: scheduler-task-

management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    shutdown:
      enabled: true
atu:
  server:
    IsPcExecutor: true
    engineName: 开发环境测试引擎
    engineSys: windows
    remoteProtocol: rpc
    remotePort: 3389
    daemonFlag: false
    engineVersion: 1.1.0
    serverUrl: http://158.1.12.236:8000/
    appiumHost: 172.16.77.25
    appiumPort: 4723
    appiumContextPath: /wd/hub
    deviceInfoPath: /api/cctp-device-mgr/pub/device/info/
    globalVarPath: /api/atu-script-case/pub/variable/query
    globalVarUpdatePath: /api/atu-script-case/pub/variable/update
    fileDownloadPath: /api/cctp-files/pub/download/
    fileUploadPath: /api/cctp-files/pub/upload
    engineRegister: /api/cctp-device-mgr/pub/engine/register
    deviceReleasePath: /api/cctp-device-mgr/pub/device/release/
    appDownloadUrl: /api/atu-script-case/pub/file/downloadApp/{appId}
    libListUrl: /api/cctp-platform/pub/library/getLibListByEngine
    tryAcqurieDeviceUrl: /api/cctp-device-mgr/pub/deviceList/apply/remote
    pcAcqurieDeviceUrl: /api/cctp-device-mgr/pub/pc/device/remote
    taskCancelResultUrl: /api/atu-execute-plan/pub/execPlan/updateTaskExecFile
    appInfoUrl: /api/atu-script-case/pub/apps/getAppDetail
    ruleDataByName: /api/atu-data-mgr/pub/dataRule/getRuleDataByName
    quoteDataUrl: /api/atu-data-mgr/pub/query/selectDataUrlAndTreeName
    releaseDeviceBatch: /api/cctp-device-mgr/pub/deviceList/release
    projectInfo: /api/cctp-projects/pub/project/query/info?projectId={projectId}
    testSysUrl: /api/cctp-projects/pub/CpProjectEnvSyss/querySysUrl
  engine:
    executor-pool:
      pcSize: 1
      pcCoreSize: 1
      enablePc: true
      mobileSize: 10
      mobileCoreSize: 10
      enableMobile: true
      apiSize: 15
      apiCoreSize: 15
      enableApi: true
  mobileAutomation:
    type: jbf
nk:
  component:
    mobile:
      useNewOcr: true
      shotAllScreenAddress: engine/shotAllScreen
      uploadScreenAddress: engine/uploadShotAllScreen
      handleApp: engine/activeApp
      execShellAddress: engine/execShell
      findPicAddress: http://192.168.77.58:5000/WebAPI/findImageInImage    #图片查找
      ocrAddress: http://192.168.77.58:5000/WebAPI/FindTextCoordinateByOcr   #ocr地址
      ocrGetCode: http://192.168.77.58:5000/WebAPI/VerificationCode   #ocr识别验证码地址
      ocrGetText: http://192.168.77.58:5000/WebAPI/GetTextByOcr   #ocr识别文字地址
      mobileShotAddress: engine/getScreenShotToBase64   #截图返回base64
      getCurrentMessage: engine/getCurrentMessage  #获取当前手机最新短信验证码
      getWindowsScale: engine/getWindowsScale  #获取屏幕缩放比
      hzBankOcrAddress: http://197.68.24.38:9283/gateway/spring-ocrcloud-platform/OCRA0001 #杭州银行OCR请求nginx地址
    database:
      execSqlAddress: /api/cctp-projects/pub/CpProjectEnvDss/execute #数据库组建执行SQL的请求地址
logging:
  level:
    net.northking: debug